Bug 77168 - kdesktop signal 15 crash
kdesktop signal 15 crash
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-01 20:04 EST by Kyle
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle 2002-11-01 20:04:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021018

Description of problem:
when logging out of X errors are printed to screen...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.logout of kde to console
2.
3.
	

Actual Results:  errors are printed

Expected Results:  no errors 

Additional info:

[drwhite@localhost drwhite]$ rpm -q --qf '%{sourcerpm}' -f /usr/bin/artsshell
[drwhite@localhost drwhite]$ gdb /usr/bin/artsshell core.4228
GNU gdb Red Hat Linux (5.2.1-4)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `artsshell -q terminate'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libsoundserver_idl.so.1...done.
Loaded symbols for /usr/lib/libsoundserver_idl.so.1
Reading symbols from /usr/lib/libkmedia2_idl.so.1...done.
Loaded symbols for /usr/lib/libkmedia2_idl.so.1
Reading symbols from /usr/lib/libartsflow.so.1...done.
Loaded symbols for /usr/lib/libartsflow.so.1
Reading symbols from /usr/lib/libartsflow_idl.so.1...done.
Loaded symbols for /usr/lib/libartsflow_idl.so.1
Reading symbols from /usr/lib/libaudiofile.so.0...done.
Loaded symbols for /usr/lib/libaudiofile.so.0
Reading symbols from /usr/lib/libmcop.so.1...done.
Loaded symbols for /usr/lib/libmcop.so.1
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libstdc++.so.5...done.
Loaded symbols for /usr/lib/libstdc++.so.5
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/i686/libm.so.6...done.
Loaded symbols for /lib/i686/libm.so.6
Reading symbols from /lib/i686/libc.so.6...done.
Loaded symbols for /lib/i686/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
---Type <return> to continue, or q <return> to quit---
#0  0x6d742f00 in ?? ()
(gdb) bt
#0  0x6d742f00 in ?? ()
#1  0x402c7851 in Arts::Dispatcher::connectObjectRemote(Arts::ObjectReference&)
    () from /usr/lib/libmcop.so.1
#2  0x40055cd6 in
Arts::SoundServerV2_base::_fromReference(Arts::ObjectReference, bool) () from
/usr/lib/libsoundserver_idl.so.1
#3  0x40055a17 in Arts::SoundServerV2_base::_fromString(std::string const&) ()
   from /usr/lib/libsoundserver_idl.so.1
#4  0x0804c1c1 in main ()
#5  0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
(gdb)
Comment 1 Miloslav Trmac 2002-11-02 09:57:00 EST
Just to add context to this:
on #redhat, k194355p@edinboro.edu told that he gets 'process killed with
signal 15' or something like that after quitting X session started
by startx. 

When asked to provide exact message, he got SIGSEGV instead
(/usr/bin/startkde: line ???: artsshell: Segmentation fault)
so I navigated him to get the backtrace at least.

I hope k193255p will correct me if I got something wrong.
Comment 2 Kyle 2002-11-02 22:08:42 EST
additional core file core.29335 generates signal 15 artsshell

[root@localhost drwhite]# gdb /usr/bin/artsshell core.29335
GNU gdb Red Hat Linux (5.2.1-4)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `artsshell -q terminate'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libsoundserver_idl.so.1...done.
Loaded symbols for /usr/lib/libsoundserver_idl.so.1
Reading symbols from /usr/lib/libkmedia2_idl.so.1...done.
Loaded symbols for /usr/lib/libkmedia2_idl.so.1
Reading symbols from /usr/lib/libartsflow.so.1...done.
Loaded symbols for /usr/lib/libartsflow.so.1
Reading symbols from /usr/lib/libartsflow_idl.so.1...done.
Loaded symbols for /usr/lib/libartsflow_idl.so.1
Reading symbols from /usr/lib/libaudiofile.so.0...done.
Loaded symbols for /usr/lib/libaudiofile.so.0
Reading symbols from /usr/lib/libmcop.so.1...done.
Loaded symbols for /usr/lib/libmcop.so.1
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libstdc++.so.5...done.
Loaded symbols for /usr/lib/libstdc++.so.5
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/i686/libm.so.6...done.
Loaded symbols for /lib/i686/libm.so.6
Reading symbols from /lib/i686/libc.so.6...done.
Loaded symbols for /lib/i686/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
---Type <return> to continue, or q <return> to quit---
#0  0x6d742f00 in ?? ()
Comment 3 Petr Rockai 2006-07-17 14:17:09 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 4 Bill Nottingham 2006-10-18 14:20:38 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.